# Dockerfiles

This repository contains Dockerfiles I've written for various tasks. Most are my own, some are minor modifications on "official" docker containers.

## Tools
 - [`latex`](./latex): A latex builder, contains all of TeXlive. Built on Arch, because installing TeX on Arch is unreasonably easy.

 - [`qmk`](./qmk): A complete qmk build environment. Contains *everything*, including `qmk_firmware` and `qmk_cli`.


## Apps
 - [`jupyter`](./jupyter): A Jupyterlab container, because jupyter is a pain to install.

 - [`syncthing`](./syncthing): A [Syncthing](https://syncthing.net/) server, and optionally a relay. Makes installing easy & prevents syncthing from accessing your entire filesystem.


## Servers
 - [`radicale`](./radicale): A [Radicale](https://radicale.org/) server